Bug 238755 - Character.isLetterOrDigit(-1) causes NPE on x86_64
Character.isLetterOrDigit(-1) causes NPE on x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Tromey
bzcl34nup
:
: 238173 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 15:51 EDT by Jeff Johnston
Modified: 2014-08-11 01:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.1.2-33
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 09:14:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnston 2007-05-02 15:51:54 EDT
Description of problem:

The following code snippet:

import java.lang.Character;

public class test {
   public static void main(String[] args) {
        boolean b = Character.isLetterOrDigit(-1);
        System.out.println("b is " + b);
   }
}

causes a NullPointerException when run on x86_64 with libgcj-4.1.2-8
The same test case works fine on i686.

This problem was initially reported against eclipse-cdt when editing a
configuration file.
Comment 1 Jeff Johnston 2007-05-02 16:00:41 EDT
*** Bug 238173 has been marked as a duplicate of this bug. ***
Comment 2 Tom Tromey 2007-05-02 19:32:53 EDT
I checked in a fix for this to GCC svn.
I'm not clear on when it will be possible to merge it into an FC build.
It is r124370.
Comment 3 Bug Zapper 2008-04-04 03:09:43 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Andrew Overholt 2008-04-04 09:14:54 EDT
This doesn't happen for me on Fedora 8:

$ javac -source 1.4 -target 1.4 test.java
$ gij test
b is false
$ gij --version
java version "1.5.0"
gij (GNU libgcj) version 4.1.2 20070925 (Red Hat 4.1.2-33)
$ rpm -q libgcj
libgcj-4.1.2-33

Note You need to log in before you can comment on or make changes to this bug.